Index: code/branches/resource2/cmake/BuildConfig.cmake
===================================================================
--- code/branches/resource2/cmake/BuildConfig.cmake	(revision 5610)
+++ code/branches/resource2/cmake/BuildConfig.cmake	(revision 5641)
@@ -40,6 +40,6 @@
 SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${DEFAULT_LIBRARY_PATH})
 SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${DEFAULT_ARCHIVE_PATH})
-# Do not set doc and media, rather check in the two subdirectories
-# whether they concur with the DEFAULT_..._PATH
+SET(CMAKE_DOC_OUTPUT_DIRECTORY     ${CMAKE_BINARY_DIR}/${DEFAULT_DOC_PATH})
+# Media directories are only inputs
 SET(CMAKE_CONFIG_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/${DEFAULT_CONFIG_PATH})
 SET(CMAKE_LOG_OUTPUT_DIRECTORY     ${CMAKE_BINARY_DIR}/${DEFAULT_LOG_PATH})
@@ -50,6 +50,6 @@
 # Sets where to find the external libraries like OgreMain.dll at runtime
 # On Unix you should not have to change this at all.
-IF(NOT ORXONOX_RUNTIME_LIBRARY_DIRECTORY)
-  SET(ORXONOX_RUNTIME_LIBRARY_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
+IF(NOT RUNTIME_LIBRARY_DIRECTORY)
+  SET(RUNTIME_LIBRARY_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
 ENDIF()
 
@@ -126,35 +126,26 @@
 ENDIF()
 
-IF(INSTALL_COPYABLE)
-  # Note the relative paths. They will be resolved at runtime.
-  # For CMake operations CMAKE_INSTALL_PREFIX is always appended.
-  SET(ORXONOX_RUNTIME_INSTALL_PATH ${DEFAULT_RUNTIME_PATH})
-  SET(ORXONOX_LIBRARY_INSTALL_PATH ${DEFAULT_LIBRARY_PATH})
-  SET(ORXONOX_ARCHIVE_INSTALL_PATH ${DEFAULT_ARCHIVE_PATH})
-  SET(ORXONOX_DOC_INSTALL_PATH     ${DEFAULT_DOC_PATH})
-  SET(ORXONOX_MEDIA_INSTALL_PATH   ${DEFAULT_MEDIA_PATH})
-  SET(ORXONOX_CONFIG_INSTALL_PATH  ${DEFAULT_CONFIG_PATH})
-  SET(ORXONOX_LOG_INSTALL_PATH     ${DEFAULT_LOG_PATH})
-
-ELSEIF(UNIX) # Apple too?
-  # Using absolute paths
-  SET(ORXONOX_RUNTIME_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/bin)
-  SET(ORXONOX_LIBRARY_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/lib/orxonox)
-  SET(ORXONOX_ARCHIVE_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/lib/orxonox/static)
-  SET(ORXONOX_DOC_INSTALL_PATH     ${CMAKE_INSTALL_PREFIX}/share/doc/orxonox)
-  SET(ORXONOX_MEDIA_INSTALL_PATH   ${CMAKE_INSTALL_PREFIX}/share/orxonox)
-  # These two paths are user and therefore runtime dependent --> only set relatively
-  SET(ORXONOX_CONFIG_INSTALL_PATH  ${DEFAULT_CONFIG_PATH})
-  SET(ORXONOX_LOG_INSTALL_PATH     ${DEFAULT_LOG_PATH})
-
-ELSEIF(WIN32)
-  SET(ORXONOX_RUNTIME_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${DEFAULT_RUNTIME_PATH})
-  SET(ORXONOX_LIBRARY_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${DEFAULT_LIBRARY_PATH})
-  SET(ORXONOX_ARCHIVE_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${DEFAULT_ARCHIVE_PATH})
-  SET(ORXONOX_DOC_INSTALL_PATH     ${CMAKE_INSTALL_PREFIX}/${DEFAULT_DOC_PATH})
-  SET(ORXONOX_MEDIA_INSTALL_PATH   ${CMAKE_INSTALL_PREFIX}/${DEFAULT_MEDIA_PATH})
+# Default installation paths
+SET(RUNTIME_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/${DEFAULT_RUNTIME_PATH})
+SET(LIBRARY_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/${DEFAULT_LIBRARY_PATH})
+SET(ARCHIVE_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/${DEFAULT_ARCHIVE_PATH})
+SET(DOC_INSTALL_DIRECTORY     ${CMAKE_INSTALL_PREFIX}/${DEFAULT_DOC_PATH})
+SET(MEDIA_INSTALL_DIRECTORY   ${CMAKE_INSTALL_PREFIX}/${DEFAULT_MEDIA_PATH})
+SET(CONFIG_INSTALL_DIRECTORY  ${CMAKE_INSTALL_PREFIX}/${DEFAULT_CONFIG_PATH})
+SET(LOG_INSTALL_DIRECTORY     ${CMAKE_INSTALL_PREFIX}/${DEFAULT_LOG_PATH})
+
+IF(NOT INSTALL_COPYABLE)
+  IF(UNIX) # Apple too?
+    # Using absolute paths
+    SET(RUNTIME_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/bin)
+    SET(LIBRARY_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/lib/orxonox)
+    SET(ARCHIVE_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/lib/orxonox/static)
+    SET(DOC_INSTALL_DIRECTORY     ${CMAKE_INSTALL_PREFIX}/share/doc/orxonox)
+    SET(MEDIA_INSTALL_DIRECTORY   ${CMAKE_INSTALL_PREFIX}/share/orxonox)
+  ENDIF()
+
   # Leave empty because it is user and therefore runtime dependent
-  SET(ORXONOX_CONFIG_INSTALL_PATH  ${DEFAULT_CONFIG_PATH})
-  SET(ORXONOX_LOG_INSTALL_PATH     ${DEFAULT_LOG_PATH})
+  SET(CONFIG_INSTALL_DIRECTORY)
+  SET(LOG_INSTALL_DIRECTORY)
 ENDIF()
 
@@ -170,5 +161,9 @@
 
 # the RPATH to be used when installing
-SET(CMAKE_INSTALL_RPATH ${ORXONOX_LIBRARY_INSTALL_PATH})
+IF(INSTALL_COPYABLE)
+  SET(CMAKE_INSTALL_RPATH ${DEFAULT_LIBRARY_PATH})
+ELSE()
+  SET(CMAKE_INSTALL_RPATH ${LIBRARY_INSTALL_DIRECTORY})
+ENDIF()
 
 # add the automatically determined parts of the RPATH
Index: code/branches/resource2/cmake/GenerateToluaBindings.cmake
===================================================================
--- code/branches/resource2/cmake/GenerateToluaBindings.cmake	(revision 5610)
+++ code/branches/resource2/cmake/GenerateToluaBindings.cmake	(revision 5641)
@@ -30,5 +30,5 @@
  #    TOLUA_PARSER_SOURCE - Lua file with the parser source code
  #    TOLUA_PARSER_DEPENDENCIES - All the dependent lua files
- #    ORXONOX_RUNTIME_LIBRARY_DIRECTORY - Working directory
+ #    RUNTIME_LIBRARY_DIRECTORY - Working directory
  #
 
@@ -74,5 +74,5 @@
     DEPENDS           ${TOLUA_PARSER_DEPENDENCIES}
     IMPLICIT_DEPENDS  ${_implicit_dependencies}
-    WORKING_DIRECTORY ${ORXONOX_RUNTIME_LIBRARY_DIRECTORY}
+    WORKING_DIRECTORY ${RUNTIME_LIBRARY_DIRECTORY}
     COMMENT "Generating tolua bind files for package ${_tolua_package}"
   )
Index: code/branches/resource2/cmake/Media.cmake
===================================================================
--- code/branches/resource2/cmake/Media.cmake	(revision 5610)
+++ 	(revision )
@@ -1,51 +1,0 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #
- #  Author:
- #    Reto Grieder
- #  Description:
- #    Finds the media directory and configures it's installation.
- #
-
-# Specify media directory
-GET_FILENAME_COMPONENT(_search_path_1 ${CMAKE_SOURCE_DIR}/../${DEFAULT_MEDIA_PATH} ABSOLUTE)
-FIND_PATH(MEDIA_PATH resources.cfg
-  PATHS
-    ${CMAKE_SOURCE_DIR}/${DEFAULT_MEDIA_PATH}
-    ${_search_path_1}
-  NO_CMAKE_PATH NO_CMAKE_ENVIRONMENT_PATH NO_SYSTEM_ENVIRONMENT_PATH NO_CMAKE_SYSTEM_PATH
-)
-
-# For consistency with other variables for config, log, bin, etc.
-SET(CMAKE_MEDIA_OUTPUT_DIRECTORY ${MEDIA_PATH})
-
-IF(NOT CMAKE_MEDIA_OUTPUT_DIRECTORY)
-  MESSAGE(STATUS "Warning: Media directory not found. If you want to compile while downloading the media files, you will have to recompile about four files afterwards and relink everything. Default location is orxonox_root/media")
-  # Temporary override to the default location.
-  SET(CMAKE_MEDIA_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/media)
-ENDIF()
-
-
-################ Installation #################
-
-INSTALL(
-  DIRECTORY ${CMAKE_MEDIA_OUTPUT_DIRECTORY}/
-  DESTINATION ${ORXONOX_MEDIA_INSTALL_PATH}
-  REGEX "\\.svn$|_svn$|backToPNG" EXCLUDE
-)
Index: code/branches/resource2/cmake/PackageConfig.cmake
===================================================================
--- code/branches/resource2/cmake/PackageConfig.cmake	(revision 5610)
+++ code/branches/resource2/cmake/PackageConfig.cmake	(revision 5641)
@@ -1,4 +1,27 @@
-# General package configuration. Merely sets the include paths.
-# Library files are treated separately.
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    General package configuration. Merely sets the include paths.
+ #    Library files are treated separately.
+ #
 
 # Check package version info
Index: code/branches/resource2/cmake/PackageConfigMSVC.cmake
===================================================================
--- code/branches/resource2/cmake/PackageConfigMSVC.cmake	(revision 5610)
+++ code/branches/resource2/cmake/PackageConfigMSVC.cmake	(revision 5641)
@@ -47,5 +47,5 @@
 
   # Also the directory with the runtime libraries
-  SET(ORXONOX_RUNTIME_LIBRARY_DIRECTORY ${DEP_BINARY_DIR})
+  SET(RUNTIME_LIBRARY_DIRECTORY ${DEP_BINARY_DIR})
 
   # Sets the library path for the FIND_LIBRARY
Index: code/branches/resource2/cmake/PackageConfigMinGW.cmake
===================================================================
--- code/branches/resource2/cmake/PackageConfigMinGW.cmake	(revision 5610)
+++ code/branches/resource2/cmake/PackageConfigMinGW.cmake	(revision 5641)
@@ -40,5 +40,5 @@
 
   # Also the directory with the runtime libraries
-  SET(ORXONOX_RUNTIME_LIBRARY_DIRECTORY ${DEP_BINARY_DIR})
+  SET(RUNTIME_LIBRARY_DIRECTORY ${DEP_BINARY_DIR})
 
   # Sets the library path for the FIND_LIBRARY
Index: code/branches/resource2/cmake/TargetUtilities.cmake
===================================================================
--- code/branches/resource2/cmake/TargetUtilities.cmake	(revision 5610)
+++ code/branches/resource2/cmake/TargetUtilities.cmake	(revision 5641)
@@ -175,7 +175,7 @@
   IF(NOT _arg_STATIC AND NOT _arg_NO_INSTALL)
     INSTALL(TARGETS ${_target_name}
-      RUNTIME DESTINATION ${ORXONOX_RUNTIME_INSTALL_PATH}
-      LIBRARY DESTINATION ${ORXONOX_LIBRARY_INSTALL_PATH}
-      #ARCHIVE DESTINATION ${ORXONOX_ARCHIVE_INSTALL_PATH}
+      RUNTIME DESTINATION ${RUNTIME_INSTALL_DIRECTORY}
+      LIBRARY DESTINATION ${LIBRARY_INSTALL_DIRECTORY}
+      #ARCHIVE DESTINATION ${ARCHIVE_INSTALL_DIRECTORY}
     )
   ENDIF()