Index: /code/branches/libraries/src/orxonox/gamestates/GSClient.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSClient.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSClient.h	(revision 5643)
@@ -30,5 +30,5 @@
 #define _GSClient_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 
 #include "core/GameState.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _GamestatesExport GSClient : public GameState
+    class _GameStatesExport GSClient : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSDedicated.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSDedicated.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSDedicated.h	(revision 5643)
@@ -30,5 +30,5 @@
 #define _GSDedicated_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 
 #include "core/GameState.h"
@@ -45,5 +45,5 @@
 {
 
-    class _GamestatesExport GSDedicated : public GameState
+    class _GameStatesExport GSDedicated : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSGraphics.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSGraphics.h	(revision 5643)
@@ -36,5 +36,5 @@
 #define _GSGraphics_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 #include "core/GameState.h"
 
@@ -47,5 +47,5 @@
         This game state is only left out if we start a dedicated server where no graphics are present.
     */
-    class _GamestatesExport GSGraphics : public GameState
+    class _GameStatesExport GSGraphics : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSIOConsole.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSIOConsole.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSIOConsole.h	(revision 5643)
@@ -30,10 +30,10 @@
 #define _GSIOConsole_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 #include "core/GameState.h"
 
 namespace orxonox
 {
-    class _GamestatesExport GSIOConsole : public GameState
+    class _GameStatesExport GSIOConsole : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSLevel.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSLevel.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSLevel.h	(revision 5643)
@@ -30,5 +30,5 @@
 #define _GSLevel_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 
 #include <string>
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _GamestatesExport GSLevel : public GameState, public OrxonoxClass
+    class _GameStatesExport GSLevel : public GameState, public OrxonoxClass
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSMainMenu.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSMainMenu.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSMainMenu.h	(revision 5643)
@@ -30,5 +30,5 @@
 #define _GSMainMenu_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 
 #include "util/OgreForwardRefs.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _GamestatesExport GSMainMenu : public GameState
+    class _GameStatesExport GSMainMenu : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSRoot.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSRoot.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSRoot.h	(revision 5643)
@@ -30,10 +30,10 @@
 #define _GSRoot_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 #include "core/GameState.h"
 
 namespace orxonox
 {
-    class _GamestatesExport GSRoot : public GameState
+    class _GameStatesExport GSRoot : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSServer.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSServer.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSServer.h	(revision 5643)
@@ -30,5 +30,5 @@
 #define _GSServer_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 
 #include "core/GameState.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _GamestatesExport GSServer : public GameState
+    class _GameStatesExport GSServer : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GSStandalone.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GSStandalone.h	(revision 5642)
+++ /code/branches/libraries/src/orxonox/gamestates/GSStandalone.h	(revision 5643)
@@ -30,10 +30,10 @@
 #define _GSStandalone_H__
 
-#include "gamestates/GamestatesPrereqs.h"
+#include "gamestates/GameStatesPrereqs.h"
 #include "core/GameState.h"
 
 namespace orxonox
 {
-    class _GamestatesExport GSStandalone : public GameState
+    class _GameStatesExport GSStandalone : public GameState
     {
     public:
Index: /code/branches/libraries/src/orxonox/gamestates/GameStatesPrereqs.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GameStatesPrereqs.h	(revision 5643)
+++ /code/branches/libraries/src/orxonox/gamestates/GameStatesPrereqs.h	(revision 5643)
@@ -0,0 +1,60 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+  @file
+  @brief Contains all the necessary forward declarations for all classes and structs.
+*/
+
+#ifndef _GameStatesPrereqs_H__
+#define _GameStatesPrereqs_H__
+
+#include "OrxonoxConfig.h"
+
+#include "OrxonoxPrereqs.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#  ifdef GAMESTATES_SHARED_BUILD
+#    define _GameStatesExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _GameStatesExport
+#    else
+#      define _GameStatesExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _GameStatesExport  __attribute__ ((visibility("default")))
+#else
+#  define _GameStatesExport
+#endif
+
+#endif /* _GameStatesPrereqs_H__ */
Index: de/branches/libraries/src/orxonox/gamestates/GamestatesPrereqs.h
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/GamestatesPrereqs.h	(revision 5642)
+++ 	(revision )
@@ -1,60 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-  @file
-  @brief Contains all the necessary forward declarations for all classes and structs.
-*/
-
-#ifndef _GamestatesPrereqs_H__
-#define _GamestatesPrereqs_H__
-
-#include "OrxonoxConfig.h"
-
-#include "OrxonoxPrereqs.h"
-
-//-----------------------------------------------------------------------
-// Shared library settings
-//-----------------------------------------------------------------------
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
-#  ifdef GAMESTATES_SHARED_BUILD
-#    define _GamestatesExport __declspec(dllexport)
-#  else
-#    if defined( __MINGW32__ )
-#      define _GamestatesExport
-#    else
-#      define _GamestatesExport __declspec(dllimport)
-#    endif
-#  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
-#  define _GamestatesExport  __attribute__ ((visibility("default")))
-#else
-#  define _GamestatesExport
-#endif
-
-#endif /* _GamestatesPrereqs_H__ */