Index: /branches/network/src/lib/network/data_stream.cc
===================================================================
--- /branches/network/src/lib/network/data_stream.cc	(revision 5647)
+++ /branches/network/src/lib/network/data_stream.cc	(revision 5648)
@@ -26,6 +26,8 @@
  * This is the empty construktor
  */
-DataStream::DataStream()
+DataStream::DataStream(Synchronizeable& sync)
 {
+  this->setClassID(CL_DATA_STREAM, "DataStream");
+  this->sync = &sync;
                         
 }
Index: /branches/network/src/lib/network/data_stream.h
===================================================================
--- /branches/network/src/lib/network/data_stream.h	(revision 5647)
+++ /branches/network/src/lib/network/data_stream.h	(revision 5648)
@@ -20,4 +20,5 @@
       public:
       DataStream();
+      DataStream(Synchronizeable& sync);
       DataStream(DataStream& inStream, DataStream& outStream);
       DataStream(Synchronizeable& sync, NetworkSocket& socket);
@@ -59,4 +60,5 @@
       DataStream* downStream;
       NetworkSocket* networkSocket;
+      Synchronizeable* sync;
 
 };
Index: /branches/network/src/lib/network/network_manager.cc
===================================================================
--- /branches/network/src/lib/network/network_manager.cc	(revision 5647)
+++ /branches/network/src/lib/network/network_manager.cc	(revision 5648)
@@ -126,9 +126,9 @@
  * @param synchronizeable: reference to the sync object
  */
-NetworkStream& NetworkManager::establishConnection(const IPaddress& address, const Synchronizeable& sync)
+NetworkStream& NetworkManager::establishConnection(IPaddress& address, Synchronizeable& sync)
 {
   PRINTF(0)("Establish connection...\n");
   /* creating a new network stream, it will register itself automaticaly to the class list */
-//  NetworkStream* netStream = new NetworkStream();
+  NetworkStream* netStream = new NetworkStream(address, sync);
 }
 
Index: /branches/network/src/lib/network/network_manager.h
===================================================================
--- /branches/network/src/lib/network/network_manager.h	(revision 5647)
+++ /branches/network/src/lib/network/network_manager.h	(revision 5648)
@@ -33,5 +33,5 @@
   void shutdown();
   
-  NetworkStream& establishConnection(const IPaddress& address, const Synchronizeable& sync);
+  NetworkStream& establishConnection(IPaddress& address, Synchronizeable& sync);
   NetworkStream& establishConnection(const char& hostName, const Synchronizeable& sync);
   void shutdownConnection();
Index: /branches/network/src/lib/network/network_stream.cc
===================================================================
--- /branches/network/src/lib/network/network_stream.cc	(revision 5647)
+++ /branches/network/src/lib/network/network_stream.cc	(revision 5648)
@@ -36,27 +36,4 @@
 
 
-NetworkStream::NetworkStream(DataStream& inStream, DataStream& outStream) 
-  : DataStream(inStream, outStream)
-{
-  this->init();
-}
-
-NetworkStream::NetworkStream(Synchronizeable& sync, NetworkSocket& socket) 
-  : DataStream(sync, socket)
-{
-  this->init();
-}
-
-NetworkStream::NetworkStream(DataStream& inStream, NetworkSocket& socket) 
-  : DataStream(inStream, socket)
-{
-  this->init();
-}
-
-NetworkStream::NetworkStream(Synchronizeable& sync, DataStream& outStream) 
-  : DataStream(sync, outStream)
-{
-  this->init();
-}
 
 NetworkStream::NetworkStream()
@@ -67,4 +44,12 @@
   this->synchronizeables = new Synchronizeable();
   this->connectionMonitor = new ConnectionMonitor();
+}
+
+
+NetworkStream::NetworkStream(IPaddress& address, Synchronizeable& sync) 
+  : DataStream(sync)
+{
+  this->init();
+  this->networkSocket = new NetworkSocket();
 }
 
Index: /branches/network/src/lib/network/network_stream.h
===================================================================
--- /branches/network/src/lib/network/network_stream.h	(revision 5647)
+++ /branches/network/src/lib/network/network_stream.h	(revision 5648)
@@ -18,8 +18,5 @@
 public:
   NetworkStream();
-  NetworkStream(DataStream& inStream, DataStream& outStream);
-  NetworkStream(Synchronizeable& sync, NetworkSocket& socket);
-  NetworkStream(DataStream& inStream, NetworkSocket& socket);
-  NetworkStream(Synchronizeable& sync, DataStream& outStream);
+  NetworkStream(IPaddress& address, Synchronizeable& sync);
   
   ~NetworkStream();