Index: branches/network/src/subprojects/Makefile.in
===================================================================
--- branches/network/src/subprojects/Makefile.in	(revision 5649)
+++ branches/network/src/subprojects/Makefile.in	(revision 5650)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # @configure_input@
 
Index: branches/network/src/subprojects/collision_detection/Makefile.in
===================================================================
--- branches/network/src/subprojects/collision_detection/Makefile.in	(revision 5649)
+++ branches/network/src/subprojects/collision_detection/Makefile.in	(revision 5650)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # @configure_input@
 
@@ -15,4 +15,6 @@
 @SET_MAKE@
 
+
+SOURCES = $(collision_SOURCES)
 
 srcdir = @srcdir@
Index: branches/network/src/subprojects/importer/Makefile.in
===================================================================
--- branches/network/src/subprojects/importer/Makefile.in	(revision 5649)
+++ branches/network/src/subprojects/importer/Makefile.in	(revision 5650)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # @configure_input@
 
@@ -14,4 +14,6 @@
 
 @SET_MAKE@
+
+SOURCES = $(importer_SOURCES)
 
 srcdir = @srcdir@
Index: branches/network/src/subprojects/network/Makefile.am
===================================================================
--- branches/network/src/subprojects/network/Makefile.am	(revision 5649)
+++ branches/network/src/subprojects/network/Makefile.am	(revision 5650)
@@ -14,4 +14,5 @@
 
 network_SOURCES=  network_unit_test.cc \
+                  simple_sync.cc \
                   \
                   \
@@ -24,4 +25,5 @@
 
 
-noinst_HEADERS  =  network_unit_test.h
+noinst_HEADERS  =  network_unit_test.h \
+                   simple_sync.h
 
Index: branches/network/src/subprojects/network/Makefile.in
===================================================================
--- branches/network/src/subprojects/network/Makefile.in	(revision 5649)
+++ branches/network/src/subprojects/network/Makefile.in	(revision 5650)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # @configure_input@
 
@@ -15,4 +15,6 @@
 @SET_MAKE@
 
+
+SOURCES = $(network_SOURCES)
 
 srcdir = @srcdir@
@@ -54,7 +56,7 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_network_OBJECTS = network-network_unit_test.$(OBJEXT) \
-	network-base_object.$(OBJEXT) network-class_list.$(OBJEXT) \
-	network-load_param.$(OBJEXT) network-substring.$(OBJEXT) \
-	network-helper_functions.$(OBJEXT)
+	network-simple_sync.$(OBJEXT) network-base_object.$(OBJEXT) \
+	network-class_list.$(OBJEXT) network-load_param.$(OBJEXT) \
+	network-substring.$(OBJEXT) network-helper_functions.$(OBJEXT)
 network_OBJECTS = $(am_network_OBJECTS)
 network_DEPENDENCIES = $(MAINSRCDIR)/lib/network/libORXnet.a \
@@ -192,4 +194,5 @@
 
 network_SOURCES = network_unit_test.cc \
+                  simple_sync.cc \
                   \
                   \
@@ -198,7 +201,9 @@
                   $(MAINSRCDIR)/util/loading/load_param.cc \
                   $(MAINSRCDIR)/lib/util/substring.cc \
-                  $(MAINSRCDIR)/lib/util/helper_functions.cc
-
-noinst_HEADERS = network_unit_test.h
+                  $(MAINSRCDIR)/lib/util/helper_functions.cc 
+
+noinst_HEADERS = network_unit_test.h \
+                   simple_sync.h
+
 all: all-am
 
@@ -272,4 +277,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/network-load_param.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/network-network_unit_test.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/network-simple_sync.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/network-substring.Po@am__quote@
 
@@ -301,4 +307,18 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(network_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o network-network_unit_test.obj `if test -f 'network_unit_test.cc'; then $(CYGPATH_W) 'network_unit_test.cc'; else $(CYGPATH_W) '$(srcdir)/network_unit_test.cc'; fi`
+
+network-simple_sync.o: simple_sync.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(network_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT network-simple_sync.o -MD -MP -MF "$(DEPDIR)/network-simple_sync.Tpo" -c -o network-simple_sync.o `test -f 'simple_sync.cc' || echo '$(srcdir)/'`simple_sync.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/network-simple_sync.Tpo" "$(DEPDIR)/network-simple_sync.Po"; else rm -f "$(DEPDIR)/network-simple_sync.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='simple_sync.cc' object='network-simple_sync.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(network_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o network-simple_sync.o `test -f 'simple_sync.cc' || echo '$(srcdir)/'`simple_sync.cc
+
+network-simple_sync.obj: simple_sync.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(network_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT network-simple_sync.obj -MD -MP -MF "$(DEPDIR)/network-simple_sync.Tpo" -c -o network-simple_sync.obj `if test -f 'simple_sync.cc'; then $(CYGPATH_W) 'simple_sync.cc'; else $(CYGPATH_W) '$(srcdir)/simple_sync.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/network-simple_sync.Tpo" "$(DEPDIR)/network-simple_sync.Po"; else rm -f "$(DEPDIR)/network-simple_sync.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='simple_sync.cc' object='network-simple_sync.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(network_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o network-simple_sync.obj `if test -f 'simple_sync.cc'; then $(CYGPATH_W) 'simple_sync.cc'; else $(CYGPATH_W) '$(srcdir)/simple_sync.cc'; fi`
 
 network-base_object.o: $(MAINSRCDIR)/lib/lang/base_object.cc
Index: branches/network/src/subprojects/network/network_unit_test.cc
===================================================================
--- branches/network/src/subprojects/network/network_unit_test.cc	(revision 5649)
+++ branches/network/src/subprojects/network/network_unit_test.cc	(revision 5650)
@@ -10,4 +10,6 @@
 #include "network_stream.h"
 #include "synchronizeable.h"
+
+#include "simple_sync.h"
 
 int verbose = 4;
@@ -123,5 +125,7 @@
   //SDLNet_ResolveHost(&ip, "127.0.0.1", 9999);
   SDLNet_ResolveHost(&ip, "localhost", 9999);
-  Synchronizeable sync;
+  Synchronizeable* clientSync = new SimpleSync();
+  Synchronizeable* serverSync = new SimpleSync();
+  
   
   
@@ -133,8 +137,8 @@
 
   /* create a server stream */
-  nm->createServer(sync, 9999);
+  nm->createServer(*serverSync, 9999);
   
   /* esatblish a connection */
-  nm->establishConnection(ip, sync);
+  nm->establishConnection(ip, *clientSync);
 
   /* synchronize the data 1 time (increment for longer tests) */
Index: branches/network/src/subprojects/network/simple_sync.cc
===================================================================
--- branches/network/src/subprojects/network/simple_sync.cc	(revision 5649)
+++ branches/network/src/subprojects/network/simple_sync.cc	(revision 5650)
@@ -0,0 +1,96 @@
+/*
+  orxonox - the future of 3D-vertical-scrollers
+ 
+  Copyright (C) 2004 orx
+ 
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+      the Free Software Foundation; either version 2, or (at your option)
+      any later version.
+ 
+### File Specific:
+    main-programmer: Patrick Boenzli
+    co-programmer: 
+*/
+
+
+/* this is for debug output. It just says, that all calls to PRINT() belong to the DEBUG_MODULE_NETWORK module
+          For more information refere to https://www.orxonox.net/cgi-bin/trac.cgi/wiki/DebugOutput
+*/
+#define DEBUG_MODULE_NETWORK
+
+#include "simple_sync.h"
+
+#include "debug.h"
+
+/**
+ *  default constructor
+ */
+SimpleSync::SimpleSync()
+  : Synchronizeable()
+{
+  this->outLength = 10;
+  this->inLength = 0;
+  this->outData = new byte[this->outLength];
+  
+  for( int i = 0; i < this->outLength; i++)
+  {
+    this->outData[i] = i;
+  }
+}
+
+/**
+ *  default destructor deletes all unneded stuff
+ */
+SimpleSync::~SimpleSync()
+{
+}
+
+/**
+ *  write data to NetworkStream
+ */
+void SimpleSync::writeBytes(byte* data, int length)
+{
+  /* copy the data localy */
+  this->inLength = length;
+  for(int i = 0; i < length; i++)
+  {
+    this->inData[i] = data[i];
+  }
+  /* and debug output */
+  this->writeDebug();
+}
+
+
+/**
+ *  read data from NetworkStream
+ */
+int SimpleSync::readBytes(byte* data)
+{
+  /* write the test message */
+  data = this->outData;
+  /* debug msg */
+  this->readDebug();
+  /* return the length of the test */
+  return this->outLength;
+}
+
+void SimpleSync::writeDebug()
+{
+  PRINTF(0)("Write in: |");
+  for(int i = 0; i < inLength; i++)
+  {
+    PRINT(0)(" %i ",this->inData[i]);
+  }
+  PRINT(0)("|\n");
+}
+
+void SimpleSync::readDebug()
+{
+  PRINTF(0)("Read out: |");
+  for(int i = 0; i < outLength; i++)
+  {
+    PRINT(0)(" %i ",this->outData[i]);
+  }
+  PRINT(0)("|\n");
+}
Index: branches/network/src/subprojects/network/simple_sync.h
===================================================================
--- branches/network/src/subprojects/network/simple_sync.h	(revision 5649)
+++ branches/network/src/subprojects/network/simple_sync.h	(revision 5650)
@@ -0,0 +1,34 @@
+/*!
+ * @file simple_sync.h
+ *  implementation of a network sync test
+ */
+
+#ifndef _SIMPLE_SYNC
+#define _SIMPLE_SYNC
+
+#include "synchronizeable.h"
+
+
+class SimpleSync : public Synchronizeable
+{
+  public:
+    SimpleSync();
+    ~SimpleSync();
+  
+    virtual void writeBytes(byte* data, int length);
+    virtual int readBytes(byte* data);
+    
+  private:
+    virtual void writeDebug();
+    virtual void readDebug();
+
+    
+  private:
+    byte* inData;
+    int   inLength;
+    byte* outData;
+    int   outLength;
+};
+
+#endif /* _SIMPLE_SYNC */
+
Index: branches/network/src/subprojects/particles/Makefile.in
===================================================================
--- branches/network/src/subprojects/particles/Makefile.in	(revision 5649)
+++ branches/network/src/subprojects/particles/Makefile.in	(revision 5650)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # @configure_input@
 
@@ -14,4 +14,6 @@
 
 @SET_MAKE@
+
+SOURCES = $(particles_SOURCES)
 
 srcdir = @srcdir@
Index: branches/network/src/subprojects/testmain/Makefile.in
===================================================================
--- branches/network/src/subprojects/testmain/Makefile.in	(revision 5649)
+++ branches/network/src/subprojects/testmain/Makefile.in	(revision 5650)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # @configure_input@
 
@@ -15,4 +15,6 @@
 @SET_MAKE@
 
+
+SOURCES = $(testmain_SOURCES)
 
 srcdir = @srcdir@