Index: code/branches/resource2/data/overlays/OrxonoxLoading.overlay
===================================================================
--- code/branches/resource2/data/overlays/OrxonoxLoading.overlay	(revision 5656)
+++ code/branches/resource2/data/overlays/OrxonoxLoading.overlay	(revision 5656)
@@ -0,0 +1,13 @@
+Orxonox/LoadingScreenSample
+{
+   container Panel(Orxonox/LoadingScreenSample)
+   {
+      metrics_mode pixels
+      vert_align top
+      left 12
+      top 12
+      width 300
+      height 300
+      material Orxonox/LoadingScreenSample
+   }
+} 
Index: code/branches/resource2/data/overlays/debug.oxo
===================================================================
--- code/branches/resource2/data/overlays/debug.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/debug.oxo	(revision 5656)
@@ -0,0 +1,95 @@
+<!-- DEBUG OVERLAY -->
+<OverlayGroup
+ name    = "Debug"
+ scale   = "1.0, 1.0"
+ scroll  = "0, 0"
+ visible = false
+>
+  <OverlayText
+   name     = "FPSTextCaption"
+   position = "0.03, 0.05"
+   font     = "Monofur"
+   caption  = "Frames per second:"
+   textsize = 0.03
+  />
+
+  <DebugFPSText
+   name     = "FPSText"
+   position = "0.3, 0.05"
+   font     = "Monofur"
+   textsize = 0.03
+  />
+
+  <OverlayText
+   name     = "RTRTextCaption"
+   position = "0.03, 0.09"
+   font     = "Monofur"
+   caption  = "Tick time in ms: "
+   textsize = 0.03
+  />
+
+  <DebugRTRText
+   name     = "RTRText"
+   position = "0.3, 0.09"
+   font     = "Monofur"
+   textsize = 0.03
+  />
+  
+</OverlayGroup>
+
+<Template name="defaultHUD">
+  <OverlayGroup name = "defaultHUD" scale = "1, 1">
+    <ChatOverlay
+     name     = "chat"
+     position = "0.03, 0.08"
+     font     = "VeraMono"
+     caption  = ""
+     textsize = 0.025
+    />
+
+    <KillMessage
+     name     = "killmessage"
+     position = "0.5, 0.15"
+     font     = "VeraMono"
+     textsize = 0.035
+     colour   = "1.0, 1.0, 0.5, 1.0"
+     align    = "center"
+    />
+
+    <DeathMessage
+     name     = "deathmessage"
+     position = "0.5, 0.20"
+     font     = "VeraMono"
+     textsize = 0.035
+     colour   = "1.0, 0.3, 0.3, 1.0"
+     align    = "center"
+    />
+
+    <AnnounceMessage
+     name     = "announcemessage"
+     position = "0.5, 0.75"
+     font     = "VeraMono"
+     textsize = 0.05
+     colour   = "0.5, 0.5, 1.0, 1.0"
+     align    = "center"
+    />
+
+    <GametypeStatus
+     name     = "state"
+     position = "0.5, 0.85"
+     font     = "VeraMono"
+     textsize = 0.05
+     colour   = "1.0, 1.0, 0.0, 0.8"
+     align    = "center"
+    />
+
+    <NotificationQueue
+     name     = "notification"
+     position = "0.55, 0.05"
+     font     = "VeraMono"
+     textsize = 0.020
+     length   = 3
+     width    = 50
+    />
+  </OverlayGroup>
+</Template>
Index: code/branches/resource2/data/overlays/hud.oxo
===================================================================
--- code/branches/resource2/data/overlays/hud.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/hud.oxo	(revision 5656)
@@ -0,0 +1,109 @@
+<!-- HUD OVERLAY -->
+<OverlayGroup name = "HUD" scale = "1, 1">
+
+  <HUDSpeedBar
+   name       = "SpeedBar1"
+   background = "Orxonox/BarBackground"
+   size       = "0.35, 0.05"
+   position   = "0.0 , 1.0 "
+   pickPoint  = "0, 1"
+   value      = 0
+  >
+    <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
+    <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
+    <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
+  </HUDSpeedBar>
+
+  <!--HUDSpeedBar
+   name       = "SpeedBar2"
+   background = "Orxonox/BarBackground"
+   size       = "0.35, 0.05"
+   position   = "1.0 , 1.0 "
+   pickPoint  = "1, 1"
+   value      = 0
+   rightToLeft = true
+  >
+    <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
+    <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
+    <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
+  </HUDSpeedBar>
+
+  <HUDSpeedBar
+   name       = "SpeedBar3"
+   background = "Orxonox/BarBackground"
+   size       = "0.35, 0.05"
+   position   = "1.0 , 0.0 "
+   pickPoint  = "1, 0"
+   value      = 0
+   rightToLeft = true
+  >
+    <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
+    <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
+    <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
+  </HUDSpeedBar>
+
+  <HUDSpeedBar
+   name       = "SpeedBar4"
+   background = "Orxonox/BarBackground"
+   size       = "0.35, 0.05"
+   position   = "0.0 , 0.0 "
+   pickPoint  = "0, 0"
+   rotation   = 0
+   value      = 0
+  >
+    <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
+    <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
+    <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
+  </HUDSpeedBar-->
+
+  <HUDNavigation
+   name          = "Navigation"
+   correctAspect = true
+   font          = "Monofur"
+   textSize      = 0.05
+   navMarkerSize = 0.03
+   aimMarkerSize = 0.04
+  />
+
+  <HUDRadar
+   name          = "Radar"
+   background    = "Orxonox/Radar"
+   correctAspect = true
+   size          = "0.17, 0.17"
+   position      = "0.5, 1.0"
+   pickPoint     = "0.5, 1.0"
+   rotation      = 0
+   sensitivity   = 1.0
+   halfDotSizeDistance = 3000
+   maximumDotSize      = 0.1
+  />
+
+  <ChatOverlay
+   name     = "chat"
+   position = "0.03, 0.5"
+   font     = "VeraMono"
+   caption  = ""
+   textSize = 0.025
+  />
+</OverlayGroup>
+
+
+<!-- DEBUG OVERLAY -->
+<OverlayGroup name = "Debug" scale = "1.0, 1.0" scroll = "0, 0" visible=false>
+
+  <DebugFPSText
+   name     = "FPSText"
+   position = "0.03, 0.05"
+   font     = "Monofur"
+   caption  = "Frames per second: "
+   textSize = 0.03
+  />
+
+  <DebugRTRText
+   name     = "RTRText"
+   position = "0.03, 0.09"
+   font     = "Monofur"
+   caption  = "Tick time in ms: "
+   textSize = 0.03
+  />
+</OverlayGroup>
Index: code/branches/resource2/data/overlays/hudtemplates3.oxo
===================================================================
--- code/branches/resource2/data/overlays/hudtemplates3.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/hudtemplates3.oxo	(revision 5656)
@@ -0,0 +1,99 @@
+<!--
+<Template name="defaultHUD">
+  <OverlayGroup name = "defaultHUD" scale = "1, 1">
+    <ChatOverlay
+     name     = "chat"
+     position = "0.03, 0.5"
+     font     = "VeraMono"
+     caption  = ""
+     textsize = 0.025
+    />
+
+    <GametypeStatus
+     name     = "state"
+     position = "0.5, 0.85"
+     font     = "VeraMono"
+     textsize = 0.05
+     colour   = "1.0, 1.0, 0.0, 0.8"
+     align    = "center"
+    />
+  </OverlayGroup>
+</Template>
+-->
+
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+
+<Template name="spaceshiphud">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+    <Map />
+
+    <HUDHealthBar
+     name              = "HealthBar1"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.35, 0.0875"
+     position          = "0.0 , 0.95 "
+     pickpoint         = "0, 1"
+     bartexture        = "healthbar_bar.tga"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textsize          = 0.039
+     textoffset        = "0.315, 0.05"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = false
+     textcorrectaspect = false
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDHealthBar>
+
+    <HUDSpeedBar
+     name          = "SpeedBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.35, 0.05"
+     position      = "0.0 , 1.0 "
+     pickpoint     = "0, 1"
+     correctaspect = false
+    >
+      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
+      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
+    </HUDSpeedBar>
+
+    <HUDNavigation
+     name          = "Navigation"
+     correctaspect = true
+     font          = "Monofur"
+     textsize      = 0.05
+     navMarkerSize = 0.03
+     aimMarkerSize = 0.04
+    />
+
+    <HUDRadar
+     name          = "Radar"
+     background    = "Orxonox/Radar"
+     correctaspect = true
+     size          = "0.17, 0.17"
+     position      = "1.0, 1.0"
+     pickpoint     = "1.0, 1.0"
+     rotation      = 0
+     sensitivity   = 1.0
+     halfDotSizeDistance = 3000
+     maximumDotSize      = 0.1
+    />
+
+    <HUDTimer
+     name     = "Timer"
+     position = "0.5, 0.85"
+     font     = "VeraMono"
+     textsize = 0.1
+     colour   = "1.0, 1.0, 0.0, 0.8"
+     align    = "center"
+    />
+
+  </OverlayGroup>
+</Template>
Index: code/branches/resource2/data/overlays/ponghud.oxo
===================================================================
--- code/branches/resource2/data/overlays/ponghud.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/ponghud.oxo	(revision 5656)
@@ -0,0 +1,70 @@
+<Template name="PongHUD">
+  <OverlayGroup name="PongHUD" scale = "1, 1">
+    <PongScore
+     position  = "0.05, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.06
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showleftplayer  = true
+     showrightplayer = false
+     showname        = true
+     showscore       = false
+    />
+
+    <PongScore
+     position  = "0.49, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.06
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "right"
+
+     showleftplayer  = true
+     showrightplayer = false
+     showname        = false
+     showscore       = true
+    />
+
+    <OverlayText
+     position  = "0.505, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.06
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "center"
+
+     caption   = ":"
+    />
+
+    <PongScore
+     position  = "0.51, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.06
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showleftplayer  = false
+     showrightplayer = true
+     showname        = false
+     showscore       = true
+    />
+
+    <PongScore
+     position  = "0.95, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.06
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "right"
+
+     showleftplayer  = false
+     showrightplayer = true
+     showname        = true
+     showscore       = false
+    />
+  </OverlayGroup>
+</Template>
Index: code/branches/resource2/data/overlays/stats.oxo
===================================================================
--- code/branches/resource2/data/overlays/stats.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/stats.oxo	(revision 5656)
@@ -0,0 +1,56 @@
+<!-- Statistics Overlay -->
+<Template name=defaultScoreboard>
+    <OverlayGroup name = "Stats" scale = "1, 1" visible=false>
+
+      <!--OverlayText
+       name      = "Title"
+       position  = "0.79, 0.19"
+       pickpoint = "1, 1"	
+       font      = "Monofur"
+       caption   = "Scoreboard"
+       colour    = "0, 0.75, 0.2, 1"
+       textsize  = 0.04
+      /-->
+      
+      <OverlayText
+       name      = "descr1"
+       position  = "0.1, 0.20"
+       pickpoint = "0, 1"
+       font      = "Monofur"
+       caption   = "player name"
+       colour    = "0, 0.75, 0.2, 1"
+       textsize  = 0.04
+      />
+      <OverlayText
+       name      = "descr2"
+       position  = "0.6, 0.20"
+       pickpoint = "0, 1"	
+       font      = "Monofur"
+       caption   = "score"
+       colour    = "0, 0.75, 0.2, 1"
+       textsize  = 0.04
+      />
+      <OverlayText
+       name      = "descr3"
+       position  = "0.8, 0.20"
+       pickpoint = "0, 1"	
+       font      = "Monofur"
+       caption   = "deaths"
+       colour    = "0, 0.75, 0.2, 1"
+       textsize  = 0.04
+      />
+      
+      <!--Stats
+       name     = "Statistics"
+       position = "0.5, 0.7"
+       size = "0.85, 0.4"
+       correctaspect = false
+       pickpoint = "0.5, 0.5"
+      /-->
+
+      <Scoreboard
+       name     = "Scores"
+      />
+
+    </OverlayGroup>
+</Template>
Index: code/branches/resource2/data/overlays/teambasematchhud.oxo
===================================================================
--- code/branches/resource2/data/overlays/teambasematchhud.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/teambasematchhud.oxo	(revision 5656)
@@ -0,0 +1,90 @@
+<Template name="TeamBaseMatchHUD">
+  <OverlayGroup name="TeamBaseMatchHUD" scale = "1, 1">
+    <OverlayText
+     position  = "0.2, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.5, 0.5, 1.0"
+     align     = "left"
+     caption   = "Red team"
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.37, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.8, 0.8, 1.0"
+     align     = "left"
+
+     showleftteam  = true
+     showrightteam = false
+     showbases     = true
+     showscore     = false
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.49, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.8, 0.8, 1.0"
+     align     = "right"
+
+     showleftteam  = true
+     showrightteam = false
+     showbases     = false
+     showscore     = true
+    />
+
+    <OverlayText
+     position  = "0.505, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 0.8, 1.0"
+     align     = "center"
+
+     caption   = ":"
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.51, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 1.0, 1.0"
+     align     = "left"
+
+     showleftteam  = false
+     showrightteam = true
+     showbases     = false
+     showscore     = true
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.63, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 1.0, 1.0"
+     align     = "right"
+
+     showleftteam  = false
+     showrightteam = true
+     showbases     = true
+     showscore     = false
+    />
+
+    <OverlayText
+     position  = "0.8, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.5, 0.5, 1.0, 1.0"
+     align     = "right"
+     caption   = "Blue team"
+    />
+  </OverlayGroup>
+</Template>
Index: code/branches/resource2/data/overlays/underattackhud.oxo
===================================================================
--- code/branches/resource2/data/overlays/underattackhud.oxo	(revision 5656)
+++ code/branches/resource2/data/overlays/underattackhud.oxo	(revision 5656)
@@ -0,0 +1,26 @@
+<Template name="UnderAttackHUD">
+  <OverlayGroup name="UnderAttackHUD" scale = "1, 1">
+    <UnderAttackHealthBar
+     name                 = "HealthBar"
+     background           = "Orxonox/HealthBarBackground"
+     size                 = "0.45, 0.0875"
+     position             = "0.99 , 0.01"
+     pickpoint            = "1, 0"
+     bartexture           = "healthbar_bar.tga"
+     textfont             = "VeraMono"
+     textusebarcolour     = true
+     textsize             = 0.039
+     textoffset           = "0.315, 0.05"
+     textpickpoint        = "0, 0"
+     textalign            = "right"
+     correctaspect        = false
+     textcorrectaspect    = false
+     descriptionpickpoint = "0, 0"
+     descriptionoffset    = "0.5, 1"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </UnderAttackHealthBar>
+  </OverlayGroup>
+</Template>
Index: code/branches/resource2/data/resources.oxr
===================================================================
--- code/branches/resource2/data/resources.oxr	(revision 5654)
+++ code/branches/resource2/data/resources.oxr	(revision 5656)
@@ -2,5 +2,5 @@
     <ResourceLocation path = "levels" />
     <ResourceLocation path = "lua" />
-    <ResourceLocation path = "overlay" />
+    <ResourceLocation path = "overlays" />
     <ResourceLocation path = "tcl" />
 </ResourceCollection>